React Native 0.70.1 Release APK could not be installed on device on Android 10

This issue has been created since 2022-09-23.

Description

I just started to get negative feedbacks from our testers that on Android 10 devices release APK that i sent to them cannot be installed.

I don't know how to debug this too since it's a release apk. Is there anyone facing this issue?
On android simulators like 'genymotion' works normally but on real device cannot be installed.

I generate the apk with

./gradlew assembleRelease

command, i don't know how to deal with this

Version

0.70.1

Output of npx react-native info

none

Steps to reproduce

cd android && gradlew assembleRelease - on WIN

Snack, code example, screenshot, or link to a repository

none

cortinico wrote this answer on 2022-09-23

I just started to get negative feedbacks from our testers that on Android 10 devices release APK that i sent to them cannot be installed.

What's the error message? We can't help without further information. Thanks

ts-ign0re wrote this answer on 2022-09-26

Hi! Could you provide android/app/build.gradle file listing here (please remove sensitive information)

Thank you

agrittiwari wrote this answer on 2022-09-28

I am also facing similar issue @cortinico I guess.
I don't know what led to code break overnight.
MIne error occured during build failure:
`
FAILURE: Build failed with an exception.

  • What went wrong:
    Execution failed for task ':app:processDebugMainManifest'.

Manifest merger failed with multiple errors, see logs`

Should I add more here or raise a separate issue!?

Bayramito wrote this answer on 2022-09-28

Just remove the old installation

agrittiwari wrote this answer on 2022-09-29

Tried all the conventional ways, but nothing worked!
There's this release of Android 12, and the error is associated with it, I guess so.
Similar error:
https://www.reddit.com/r/reactnative/comments/xq95ih/task_appprocessdebugmainmanifest_failed_manifest/?utm_medium=android_app&utm_source=share

agrittiwari wrote this answer on 2022-09-29

Here's the complete Error:

info Running jetifier to migrate libraries to AndroidX. You can disable it using "--no-jetifier" flag.
Jetifier found 1372 file(s) to forward-jetify. Using 8 workers...
info Starting JS server...
* daemon not running; starting now at tcp:5037
* daemon started successfully
info Launching emulator...
info Successfully launched emulator.
info Installing the app...
Starting a Gradle Daemon, 2 incompatible and 1 stopped Daemons could not be reused, use --status for details

> Configure project :@react-native-firebase_analytics
:@react-native-firebase_analytics package.json found at C:\Users\TJ\Desktop\Work\truckjunctionnew\node_modules\@react-native-firebase\analytics\package.json
:react-native-firebase_app package.json found at C:\Users\TJ\Desktop\Work\truckjunctionnew\node_modules\@react-native-firebase\app\package.json
:@react-native-firebase_analytics:firebase.bom using default value: 29.1.0
:@react-native-firebase_analytics package.json found at C:\Users\TJ\Desktop\Work\truckjunctionnew\node_modules\@react-native-firebase\analytics\package.json
:@react-native-firebase_analytics:version set from package.json: 14.5.0 (14,5,0 - 14005000)
:@react-native-firebase_analytics:android.compileSdk using custom value: 31
:@react-native-firebase_analytics:android.targetSdk using custom value: 31
:@react-native-firebase_analytics:android.minSdk using custom value: 21
:@react-native-firebase_analytics:reactNativeAndroidDir C:\Users\TJ\Desktop\Work\truckjunctionnew\node_modules\react-native\android

> Configure project :react-native-firebase_analytics
:react-native-firebase_analytics package.json found at C:\Users\TJ\Desktop\Work\truckjunctionnew\node_modules\@react-native-firebase\analytics\package.json
:react-native-firebase_app package.json found at C:\Users\TJ\Desktop\Work\truckjunctionnew\node_modules\@react-native-firebase\app\package.json
:react-native-firebase_analytics:firebase.bom using default value: 29.1.0
:react-native-firebase_analytics package.json found at C:\Users\TJ\Desktop\Work\truckjunctionnew\node_modules\@react-native-firebase\analytics\package.json
:react-native-firebase_analytics:version set from package.json: 14.5.0 (14,5,0 - 14005000)
:react-native-firebase_analytics:android.compileSdk using custom value: 31
:react-native-firebase_analytics:android.targetSdk using custom value: 31
:react-native-firebase_analytics:android.minSdk using custom value: 21
:react-native-firebase_analytics:reactNativeAndroidDir C:\Users\TJ\Desktop\Work\truckjunctionnew\node_modules\react-native\android

> Configure project :react-native-firebase_app
:react-native-firebase_app package.json found at C:\Users\TJ\Desktop\Work\truckjunctionnew\node_modules\@react-native-firebase\app\package.json
:react-native-firebase_app:firebase.bom using default value: 29.1.0
:react-native-firebase_app:play.play-services-auth using default value: 20.1.0
:react-native-firebase_app package.json found at C:\Users\TJ\Desktop\Work\truckjunctionnew\node_modules\@react-native-firebase\app\package.json
:react-native-firebase_app:version set from package.json: 14.5.0 (14,5,0 - 14005000)
:react-native-firebase_app:android.compileSdk using custom value: 31
:react-native-firebase_app:android.targetSdk using custom value: 31
:react-native-firebase_app:android.minSdk using custom value: 21
:react-native-firebase_app:reactNativeAndroidDir C:\Users\TJ\Desktop\Work\truckjunctionnew\node_modules\react-native\android

> Configure project :react-native-firebase_messaging
:react-native-firebase_messaging package.json found at C:\Users\TJ\Desktop\Work\truckjunctionnew\node_modules\@react-native-firebase\messaging\package.json
:react-native-firebase_app package.json found at C:\Users\TJ\Desktop\Work\truckjunctionnew\node_modules\@react-native-firebase\app\package.json
:react-native-firebase_messaging:firebase.bom using default value: 29.1.0
:react-native-firebase_messaging package.json found at C:\Users\TJ\Desktop\Work\truckjunctionnew\node_modules\@react-native-firebase\messaging\package.json
:react-native-firebase_messaging:version set from package.json: 14.5.0 (14,5,0 - 14005000)
:react-native-firebase_messaging:android.compileSdk using custom value: 31
:react-native-firebase_messaging:android.targetSdk using custom value: 31
:react-native-firebase_messaging:android.minSdk using custom value: 21
:react-native-firebase_messaging:reactNativeAndroidDir C:\Users\TJ\Desktop\Work\truckjunctionnew\node_modules\react-native\android

> Task :app:processDebugMainManifest FAILED

See http://g.co/androidstudio/manifest-merger for more information about the manifest merger.


Deprecated Gradle features were used in this build, making it incompatible with Gradle 7.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See https://docs.gradle.org/6.9/userguide/command_line_interface.html#sec:command_line_warnings
152 actionable tasks: 2 executed, 150 up-to-date
Warning: Mapping new ns http://schemas.android.com/repository/android/common/02 to old ns http://schemas.android.com/repository/android/common/01
Warning: Mapping new ns http://schemas.android.com/repository/android/generic/02 to old ns http://schemas.android.com/repository/android/generic/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/addon2/02 to old ns http://schemas.android.com/sdk/android/repo/addon2/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/addon2/03 to old ns http://schemas.android.com/sdk/android/repo/addon2/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/repository2/02 to old ns http://schemas.android.com/sdk/android/repo/repository2/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/repository2/03 to old ns http://schemas.android.com/sdk/android/repo/repository2/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/sys-img2/03 to old ns http://schemas.android.com/sdk/android/repo/sys-img2/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/sys-img2/02 to old ns http://schemas.android.com/sdk/android/repo/sys-img2/01
Warning: unexpected element (uri:"", local:"base-extension"). Expected elements are <{}codename>,<{}layoutlib>,<{}api-level>
Warning: Mapping new ns http://schemas.android.com/repository/android/common/02 to old ns http://schemas.android.com/repository/android/common/01
Warning: Mapping new ns http://schemas.android.com/repository/android/generic/02 to old ns http://schemas.android.com/repository/android/generic/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/addon2/02 to old ns http://schemas.android.com/sdk/android/repo/addon2/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/addon2/03 to old ns http://schemas.android.com/sdk/android/repo/addon2/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/repository2/02 to old ns http://schemas.android.com/sdk/android/repo/repository2/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/repository2/03 to old ns http://schemas.android.com/sdk/android/repo/repository2/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/sys-img2/03 to old ns http://schemas.android.com/sdk/android/repo/sys-img2/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/sys-img2/02 to old ns http://schemas.android.com/sdk/android/repo/sys-img2/01
C:\Users\TJ\Desktop\Work\truckjunctionnew\android\app\src\main\AndroidManifest.xml Error:
        Apps targeting Android 12 and higher are required to specify an explicit value for `android:exported` when the corresponding component has an intent filter defined. See https://developer.android.com/guide/topics/manifest/activity-element#exported for details.
C:\Users\TJ\Desktop\Work\truckjunctionnew\android\app\src\main\AndroidManifest.xml Error:
        Apps targeting Android 12 and higher are required to specify an explicit value for `android:exported` when the corresponding component has an intent filter defined. See https://developer.android.com/guide/topics/manifest/activity-element#exported for details.

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':app:processDebugMainManifest'.
> Manifest merger failed with multiple errors, see logs

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

BUILD FAILED in 40s

error Failed to install the app. Make sure you have the Android development environment set up: https://reactnative.dev/docs/environment-setup.
Error: Command failed: gradlew.bat app:installDebug -PreactNativeDevServerPort=8081
Warning: Mapping new ns http://schemas.android.com/repository/android/common/02 to old ns http://schemas.android.com/repository/android/common/01
Warning: Mapping new ns http://schemas.android.com/repository/android/generic/02 to old ns http://schemas.android.com/repository/android/generic/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/addon2/02 to old ns http://schemas.android.com/sdk/android/repo/addon2/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/addon2/03 to old ns http://schemas.android.com/sdk/android/repo/addon2/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/repository2/02 to old ns http://schemas.android.com/sdk/android/repo/repository2/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/repository2/03 to old ns http://schemas.android.com/sdk/android/repo/repository2/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/sys-img2/03 to old ns http://schemas.android.com/sdk/android/repo/sys-img2/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/sys-img2/02 to old ns http://schemas.android.com/sdk/android/repo/sys-img2/01
Warning: unexpected element (uri:"", local:"base-extension"). Expected elements are <{}codename>,<{}layoutlib>,<{}api-level>
Warning: Mapping new ns http://schemas.android.com/repository/android/common/02 to old ns http://schemas.android.com/repository/android/common/01
Warning: Mapping new ns http://schemas.android.com/repository/android/generic/02 to old ns http://schemas.android.com/repository/android/generic/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/addon2/02 to old ns http://schemas.android.com/sdk/android/repo/addon2/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/addon2/03 to old ns http://schemas.android.com/sdk/android/repo/addon2/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/repository2/02 to old ns http://schemas.android.com/sdk/android/repo/repository2/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/repository2/03 to old ns http://schemas.android.com/sdk/android/repo/repository2/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/sys-img2/03 to old ns http://schemas.android.com/sdk/android/repo/sys-img2/01
Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/sys-img2/02 to old ns http://schemas.android.com/sdk/android/repo/sys-img2/01
C:\Users\TJ\Desktop\Work\truckjunctionnew\android\app\src\main\AndroidManifest.xml Error:
        Apps targeting Android 12 and higher are required to specify an explicit value for `android:exported` when the corresponding component has an intent filter defined. See https://developer.android.com/guide/topics/manifest/activity-element#exported for details.
C:\Users\TJ\Desktop\Work\truckjunctionnew\android\app\src\main\AndroidManifest.xml Error:
        Apps targeting Android 12 and higher are required to specify an explicit value for `android:exported` when the corresponding component has an intent filter defined. See https://developer.android.com/guide/topics/manifest/activity-element#exported for details.

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':app:processDebugMainManifest'.
> Manifest merger failed with multiple errors, see logs

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

BUILD FAILED in 40s

    at makeError (C:\Users\TJ\Desktop\Work\truckjunctionnew\node_modules\execa\index.js:174:9)
    at C:\Users\TJ\Desktop\Work\truckjunctionnew\node_modules\execa\index.js:278:16
    at processTicksAndRejections (node:internal/process/task_queues:96:5)
    at async runOnAllDevices (C:\Users\TJ\Desktop\Work\truckjunctionnew\node_modules\@react-native-community\cli-platform-android\build\commands\runAndroid\runOnAllDevices.js:109:5)
    at async Command.handleAction (C:\Users\TJ\Desktop\Work\truckjunctionnew\node_modules\@react-native-community\cli\build\index.js:192:9)
info Run CLI with --verbose flag for more details.

What I tried are these resources: This , this and this
Kindly let me know, I am trying all of these links again

agrittiwari wrote this answer on 2022-09-29
cortinico wrote this answer on 2022-10-03

The conversation is going off-topic so I'm closing this.

@Bayramito is unresponsieve, hence I'm closing this. I've just tested on a blank project and I could not reproduce the issue.

@agrittiwari please open a separate issue, or refer to other issue more specific to your issue #34827

More Details About Repo
Owner Name facebook
Repo Name react-native
Full Name facebook/react-native
Language JavaScript
Created Date 2015-01-09
Updated Date 2022-10-07
Star Count 105180
Watcher Count 3671
Fork Count 22481
Issue Count 2230

YOU MAY BE INTERESTED

Issue Title Created Date Comment Count Updated Date
Tabs Android TypeError: Cannot read property 'onSelectedPositionChange' of undefined 14 2021-05-21 2022-04-19
eventonica-react: get the cohort started adding Jest tests to their create-react-app project 1 2021-08-19 2022-09-05
[Term Entry] Java Math Methods: `.tan()` 0 2022-08-23 2022-09-19
Process to get Slack invite? 0 2022-09-02 2022-09-26
[Metrics CLI] Implement models for Doctor versions checking 0 2021-08-11 2022-10-05
The init template creates a gitignore file instead of .gitignore file 2 2022-07-31 2022-09-06
Chafa always looks the same on kitty 3 2021-10-05 2022-09-23
missing wiki source link 1 2021-11-02 2022-09-22
Virus "detected" in this repo. 1 2021-11-02 2022-09-20
Hourly partitioning not handling correctly time change (DST) 10 2021-01-08 2022-08-24
[ipaclient] Misconfiguration found for the * responder | Failed to listen on SSSD * Service responder socket | status=17 2 2022-06-17 2022-10-01
Update utils/ansible-freeipa.spec.in 1 2022-06-24 2022-10-02
Autofs service not enabled/started when configuring automounter 2 2022-06-01 2022-10-01
Restart sssd on change 6 2022-06-12 2022-10-02
Can't scroll back in chat 2 2021-12-19 2022-10-03
widget design comments in 6.1 beta 1 2022-09-22 2022-10-06
Contributing to model-zoo 1 2020-02-09 2022-10-03
TypeError: Cannot read property '0' of null 0 2021-09-04 2022-10-02
Make actions available in a collection tree view 4 2021-06-11 2022-10-03
AdventureParty isn't deployed 1 2021-09-16 2022-08-17
feat: authentication with WKWebView. 0 2021-08-20 2022-09-29
[Bug] inconsistent boolean quoting in sample policies 2 2022-07-19 2022-09-19
Dependent package `nomnom` is deprecated and has vulnerabilities. 5 2021-08-22 2022-09-15
[QUESTION] does anyone know how to debug locally? 6 2021-12-23 2022-09-26
Move TriggerGroups to stable 0 2022-02-28 2022-09-24
Background tint flickers in gui 1 2022-02-07 2022-10-05
Spreadsheet does not render when 'filling' cells 1 2021-12-14 2022-09-09
Download offered instead of opening in Collabora 2 2021-12-15 2022-09-08
[Flang] Fix argument mismatch issue 8 2022-06-02 2022-06-30
WASM transports 1 2018-12-11 2022-01-23
Refactor to defer loading of xtermjs components 0 2021-09-25 2022-09-16
Running Pipeline batching code from documentation returns TypeError: _batch_encode_plus() got an unexpected keyword argument 'batch_size' on Colab. 10 2021-12-03 2022-10-02
Bigger batch size decrease the throughput. 1 2021-12-03 2022-10-01
Fix duplicates on update call 6 2021-08-19 2022-09-14
KMinion topic check fails if topic does not exist 2 2021-09-15 2022-09-18
private-address should be fc00::/7 instead of fd00::/8 0 2021-11-25 2022-08-28
Basemap on Windows 6 2021-09-13 2022-01-09
Support get_multi_ranges in ObjectStore 3 2022-08-03 2022-08-09
uniffi_foreign_language_testcase_test_chronological_kts is intermittently failing for me 1 2021-07-26 2022-09-30
Remove multipass::optional 0 2022-06-22 2022-08-20
bungaa (o´・_・)っ 2 2021-10-29 2022-01-08
cannot find Tensor Flow older versions 6 2020-08-07 2022-09-27
インストール画面で[データベースの初期化を行わない]を選択するとシステムエラー 1 2022-08-20 2022-09-03
インストール画面のロゴが表示されていない 1 2022-08-20 2022-08-21
[Enhancement] Add support for using custom WIM file instead of ISO provided WIM 1 2022-08-12 2022-09-22
MissingPluginException(No implementation found for method getTemporaryDirectory on channel plugins.flutter.io/path_provider) 1 2022-03-08 2022-10-04
I am trying to upgrade the keda v 1.4.0 to 2.3.0 after uninstalling keda (1.4.0) 2 2021-08-03 2022-08-16
twig deprecated twigfilter / enviroment.php simplefilter messages 20+ 5 2021-05-05 2022-08-14
👑 [需求]自定义valueType的权重比columns自定义的render以及renderFormItem要高 0 2022-09-16 2022-10-07
Kibana goes into a `internal/security/session` storm if server is not available 4 2022-02-16 2022-09-19